com.groupdocs.conversion.converter.option

## Class PsdOptions

- java.lang.Object
- - com.groupdocs.conversion.converter.option.PsdOptions

-     public final class PsdOptions
      extends Object

  Options for converting to Psd

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PsdOptions.ColorModes` Color modes enum
    `static class` | `PsdOptions.CompressionMethods` Compression methods

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PsdOptions()` Create PsdOptions instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getChannelBitsCount()` Bits count per color channel
    `short` | `getChannelsCount()` Color channels count
    `int` | `getColorMode()` Psd color mode
    `int` | `getCompressionMethod()` Psd compression method
    `int` | `getVersion()` Psd file version
    `void` | `setChannelBitsCount(short value)` Bits count per color channel
    `void` | `setChannelsCount(short value)` Color channels count
    `void` | `setColorMode(int value)` Psd color mode
    `void` | `setCompressionMethod(int value)` Psd compression method
    `void` | `setVersion(int value)` Psd file version

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PsdOptions

          public PsdOptions()

      Create PsdOptions instance

  - ### Method Detail

    - #### getChannelBitsCount

          public short getChannelBitsCount()

      Bits count per color channel

      Returns:

    - #### setChannelBitsCount

          public void setChannelBitsCount(short value)

      Bits count per color channel

      Parameters:
        `value` -

    - #### getChannelsCount

          public short getChannelsCount()

      Color channels count

      Returns:

    - #### setChannelsCount

          public void setChannelsCount(short value)

      Color channels count

      Parameters:
        `value` -

    - #### getColorMode

          public int getColorMode()

      Psd color mode

      Returns:

    - #### setColorMode

          public void setColorMode(int value)

      Psd color mode

      Parameters:
        `value` -

    - #### getCompressionMethod

          public int getCompressionMethod()

      Psd compression method

      Returns:

    - #### setCompressionMethod

          public void setCompressionMethod(int value)

      Psd compression method

      Parameters:
        `value` -

    - #### getVersion

          public int getVersion()

      Psd file version

      Returns:

    - #### setVersion

          public void setVersion(int value)

      Psd file version

      Parameters:
        `value` -

Copyright © 2017. All rights reserved.